%define pkg_name        X11-Protocol
%define pkg_version     0.56
%define rpm_pkg_version 0.56
%define rpm_pkg_release 1.n0i.6


Summary:       Perl raw interface to X Window System servers
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SM/SMCCAM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
X11::Protocol and the related modules in this distribution are a rough
equivalent of Xlib (libX11.a, with a bit of Xau and Xext mixed in) used
for drawing windows on and otherwise manipulating X11 window servers.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path eg/}


%build
%{perl_build}
# requires X11 availability
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes eg/ README Todo


%changelog
* Sat May 19 2007 Marius Feraru <altblue@n0i.net> - 0.56-1.n0i.6
- version 0.56
- spec file (re)created using N0i::CPAN::RPMizer v1.14.6
- rebuild on perl 5.8.8

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> - 0.55-1.n0i.5
- version 0.55

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.54-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.53-2.n0i.3
- automatic rebuild (perl 5.8.6)

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 0:0.53-2.n0i.2
- automatic rebuild (perl 5.8.6)

* Tue May 18 2004 Marius Feraru <altblue@n0i.net> 0:0.53-1.n0i.1
- version 0.53
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
